[Buildroot] [PATCH 2/3] package/binutils: switch to use 2.33.1 as the default version

Thomas Petazzoni thomas.petazzoni at bootlin.com
Mon Jun 29 20:51:21 UTC 2020


On Thu, 25 Jun 2020 14:13:01 +0200
Romain Naour <romain.naour at gmail.com> wrote:

> Now that binutils 2.34 has been released, it is time to move to
> binutils 2.33.1 as the default binutils version, instead of 2.32.
> 
> Signed-off-by: Romain Naour <romain.naour at gmail.com>
> ---
>  package/binutils/Config.in.host | 2 +-
>  package/binutils/binutils.mk    | 2 +-
>  2 files changed, 2 insertions(+), 2 deletions(-)

Applied to master, thanks.

However, I wondered about this:

-BINUTILS_VERSION = 2.32
+BINUTILS_VERSION = 2.33.1

and the BR2_BINFMT_FLAT case. Indeed, if you don't build a
host-binutils and only a target binutils, the version compiled is now
going to be 2.33.1, which is "broken" on BINFMT_FLAT platforms. So I
thought we should keep using 2.32 on those platforms.

But then, in fact, we don't have support for building elf2flt for the
target anyway, so we're not building any useful binutils for the target
for BINFMT_FLAT platforms. So I just left your patch as-is.

Thomas
-- 
Thomas Petazzoni, CTO, Bootlin
Embedded Linux and Kernel engineering
https://bootlin.com


More information about the buildroot mailing list